Fork me on GitHub

Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of dependencies (NOD): 72
Number of unique artifacts (NOA): 103
Number of version-conflicting artifacts (NOC): 14
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 69 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in this project

com.google.guava:guava

[Error]
20.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       +- org.apache.maven:maven-model-builder:jar:3.5.4:provided
       |  \- (com.google.guava:guava:jar:20.0:provided - omitted for duplicate)
       \- com.google.guava:guava:jar:20.0:provided

23.6-android
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       \- com.google.inject:guice:jar:no_aop:4.2.0:provided
          \- (com.google.guava:guava:jar:23.6-android:provided - omitted for conflict with 20.0)

commons-io:commons-io

[Error]
2.5
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- org.apache.maven.shared:maven-shared-utils:jar:3.2.1:compile
          \- (commons-io:commons-io:jar:2.5:compile - omitted for conflict with 2.6)

2.6
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- commons-io:commons-io:jar:2.6:compile

commons-logging:commons-logging

[Error]
1.1.1
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.nuiton.processor:nuiton-processor:jar:1.3:compile
       \- (commons-logging:commons-logging:jar:1.1.1:compile - omitted for conflict with 1.2)

1.2
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- commons-logging:commons-logging:jar:1.2:compile
    \- org.apache.httpcomponents:httpclient:jar:4.5.4:compile
       \- (commons-logging:commons-logging:jar:1.2:compile - omitted for duplicate)

org.apache.commons:commons-lang3

[Error]
3.5
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-artifact:jar:3.5.4:compile
    |  \- (org.apache.commons:commons-lang3:jar:3.5:compile - omitted for conflict with 3.7)
    +- org.apache.maven:maven-model:jar:3.5.4:compile
    |  \- (org.apache.commons:commons-lang3:jar:3.5:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.4:provided
    |  |  \- (org.apache.commons:commons-lang3:jar:3.5:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-builder-support:jar:3.5.4:provided
    |  |  \- (org.apache.commons:commons-lang3:jar:3.5:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.5.4:provided
    |  |  \- (org.apache.commons:commons-lang3:jar:3.5:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-resolver-provider:jar:3.5.4:provided
    |  |  \- (org.apache.commons:commons-lang3:jar:3.5:provided - omitted for duplicate)
    |  \- (org.apache.commons:commons-lang3:jar:3.5:provided - omitted for duplicate)
    +- org.apache.maven.doxia:doxia-core:jar:1.8:compile
    |  \- (org.apache.commons:commons-lang3:jar:3.5:compile - omitted for duplicate)
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
       \- (org.apache.commons:commons-lang3:jar:3.5:compile - omitted for duplicate)

3.7
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.commons:commons-lang3:jar:3.7:compile

org.apache.maven.doxia:doxia-core

[Error]
1.7
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- (org.apache.maven.doxia:doxia-core:jar:1.7:compile - omitted for conflict with 1.8)

1.8
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven.doxia:doxia-core:jar:1.8:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
       +- (org.apache.maven.doxia:doxia-core:jar:1.8:compile - omitted for duplicate)
       \- org.apache.maven.doxia:doxia-module-xhtml:jar:1.8:compile
          \- (org.apache.maven.doxia:doxia-core:jar:1.8:compile - omitted for duplicate)

org.apache.maven.doxia:doxia-sink-api

[Error]
1.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-api:jar:3.0:compile
       \- (org.apache.maven.doxia:doxia-sink-api:jar:1.0:compile - omitted for conflict with 1.8)

1.7
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- (org.apache.maven.doxia:doxia-sink-api:jar:1.7:compile - omitted for conflict with 1.0)

1.8
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven.doxia:doxia-core:jar:1.8:compile
    |  \- (org.apache.maven.doxia:doxia-sink-api:jar:1.8:compile - omitted for conflict with 1.0)
    +- org.apache.maven.doxia:doxia-sink-api:jar:1.8:compile
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
       +- (org.apache.maven.doxia:doxia-sink-api:jar:1.8:compile - omitted for duplicate)
       \- org.apache.maven.doxia:doxia-module-xhtml:jar:1.8:compile
          \- (org.apache.maven.doxia:doxia-sink-api:jar:1.8:compile - omitted for duplicate)

org.apache.maven.doxia:doxia-site-renderer

[Error]
1.7.4
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- (org.apache.maven.doxia:doxia-site-renderer:jar:1.7.4:compile - omitted for conflict with 1.8.1)

1.8.1
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile

org.apache.maven.resolver:maven-resolver-api

[Error]
1.1.1
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       +- org.apache.maven:maven-resolver-provider:jar:3.5.4:provided
       |  \- (org.apache.maven.resolver:maven-resolver-api:jar:1.1.1:provided - omitted for conflict with 1.3.3)
       +- org.apache.maven.resolver:maven-resolver-impl:jar:1.1.1:provided
       |  \- (org.apache.maven.resolver:maven-resolver-api:jar:1.1.1:provided - omitted for conflict with 1.3.3)
       +- (org.apache.maven.resolver:maven-resolver-api:jar:1.1.1:provided - omitted for conflict with 1.3.3)
       +- org.apache.maven.resolver:maven-resolver-spi:jar:1.1.1:provided
       |  \- (org.apache.maven.resolver:maven-resolver-api:jar:1.1.1:provided - omitted for conflict with 1.3.3)
       \- org.apache.maven.resolver:maven-resolver-util:jar:1.1.1:provided
          \- (org.apache.maven.resolver:maven-resolver-api:jar:1.1.1:provided - omitted for conflict with 1.3.3)

1.3.3
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.resolver:maven-resolver-api:jar:1.3.3:compile

org.apache.maven:maven-artifact

[Error]
3.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.5.4)
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
    |  \- (org.apache.maven:maven-artifact:jar:3.0:compile - omitted for conflict with 3.5.4)
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.5.1:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.5.4)

3.5.4
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-artifact:jar:3.5.4:compile
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       +- (org.apache.maven:maven-artifact:jar:3.5.4:provided - omitted for duplicate)
       \- org.apache.maven:maven-model-builder:jar:3.5.4:provided
          \- (org.apache.maven:maven-artifact:jar:3.5.4:provided - omitted for duplicate)

org.apache.maven:maven-core

[Error]
3.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- (org.apache.maven:maven-core:jar:3.0:compile - omitted for conflict with 3.5.4)

3.5.4
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)

org.apache.maven:maven-model

[Error]
3.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- (org.apache.maven:maven-model:jar:3.0:compile - omitted for conflict with 3.5.4)

3.5.4
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-model:jar:3.5.4:compile
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       +- (org.apache.maven:maven-model:jar:3.5.4:provided - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.5.4:provided
       |  \- (org.apache.maven:maven-model:jar:3.5.4:provided - omitted for duplicate)
       \- org.apache.maven:maven-resolver-provider:jar:3.5.4:provided
          \- (org.apache.maven:maven-model:jar:3.5.4:provided - omitted for duplicate)

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.2
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       +- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:provided
       |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:provided - omitted for conflict with 2.6.0)
       \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - scope updated from provided; omitted for duplicate)

2.6.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
    |     \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile
    \- org.codehaus.plexus:plexus-container-default:jar:2.0.0:provided (scope not updated to compile)
       \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - scope updated from provided; omitted for duplicate)

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:provided
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:provided - omitted for conflict with 1.7.1)

1.6
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
    |  \- org.apache.maven.doxia:doxia-decoration-model:jar:1.7.4:compile
    |     \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.7.1)
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
       \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.7.1)

1.7.1
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-plugin-api:jar:3.0:compile
    |  \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
    |     \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:provided - omitted for conflict with 1.7.1)
    |  +- org.apache.maven:maven-model-builder:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:provided - omitted for conflict with 1.7.1)
    |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - scope updated from provided; omitted for duplicate)
    +- org.apache.maven.doxia:doxia-core:jar:1.8:compile
    |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - omitted for duplicate)
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
    |  \- org.apache.maven.doxia:doxia-module-xhtml:jar:1.8:compile
    |     \- (org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile - omitted for duplicate)
    \- org.codehaus.plexus:plexus-component-annotations:jar:1.7.1:compile

org.codehaus.plexus:plexus-utils

[Error]
1.5.5
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       \- org.apache.maven:maven-settings-builder:jar:3.5.4:provided
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:provided
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:provided - omitted for conflict with 3.1.0)

2.0.5
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.0:compile
       \- org.sonatype.sisu:sisu-inject-plexus:jar:1.4.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:2.0.5:compile - omitted for conflict with 2.0.4)

3.0.17
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:provided
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:provided - omitted for conflict with 3.1.0)

3.0.22
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
    |  \- org.apache.maven.doxia:doxia-decoration-model:jar:1.7.4:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for conflict with 3.1.0)
    \- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
       +- org.apache.maven.doxia:doxia-skin-model:jar:1.8.1:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for conflict with 3.1.0)
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for conflict with 3.1.0)

3.0.24
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.apache.maven.reporting:maven-reporting-impl:jar:3.0.0:compile
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.24:compile - omitted for conflict with 3.1.0)

3.1.0
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    +- org.apache.maven:maven-artifact:jar:3.5.4:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    +- org.apache.maven:maven-model:jar:3.5.4:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.5.4:provided (scope not updated to compile)
    |  +- org.apache.maven:maven-settings:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    |  +- org.apache.maven:maven-resolver-provider:jar:3.5.4:provided
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
    +- org.apache.maven.doxia:doxia-core:jar:1.8:compile
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    +- org.apache.maven.doxia:doxia-site-renderer:jar:1.8.1:compile
    |  \- org.apache.maven.doxia:doxia-module-xhtml:jar:1.8:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile

3.1.1
    org.codehaus.mojo:license-maven-plugin:maven-plugin:2.0.0
    \- org.codehaus.plexus:plexus-container-default:jar:2.0.0:provided (scope not updated to compile)
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.1:provided - omitted for conflict with 3.1.0)